import java.util.*;
import greenfoot.*;

public class Bird extends Actor
{
    private int movespeed = 0;
    private boolean collide = false;

    public void act()
    {
        move(movespeed);
        if (Greenfoot.getKey() != null) {
            movespeed = movespeed - 15;
        }
        if (movespeed < 3) {
            movespeed = movespeed + 1;
        }
        collide();
    }

    protected void addedToWorld(World world)
    {
        setImage(new GreenfootImage("bird.png"));
        turn(90);
    }
    
    public void collide()
    {
        if (getOneIntersectingObject(Pipe.class) != null || getY() == 0 || getY() >= 399) {
            ((Background) getWorld()).gameover();
        }
        
    }
}
